/********************************************************************************
 *												      							*
 *	(C) Copyright 2004 - Analog Devices, Inc.  All rights reserved.				*
 *												      							*
 *	Project Name:	BF561_Blink							      					*
 *												      							*
 *	Date Modified:	10/26/04													*
 *                                                                              *
 *	Software:	VisualDSP++ 3.5 	                                            *
 *                                                                              *
 *	Hardware:		                                                            *
 *                                                                              *
 *	Connections:	                                                            *
 *                                                                              *
 *	Purpose:		                                                            *
 *					                                                            *
 ********************************************************************************/

#include "..\BF561_Blink.h"

main()
{
   volatile int delay=0x800000;
	
   *pSICA_SYSCR &= 0xFFDF; // clear bit 5 to unlock Core B

   *pFIO2_DIR = 0xFFFF;				// PF32-47 Outputs (LEDs) 
   
   while(1)
   {
   		while (delay--);
			
		if (*pFIO2_FLAG_D & 0xF0)
			*pFIO2_FLAG_D &= 0xFF0F;	// if LED17-20 are lit, unlight
		else
			*pFIO2_FLAG_D |= 0x00F0;	// Otherwise, Light LED17-20
		
		delay = 0x800000;
   } // end while infinite
} // end main

